-- Some shared functions

if ( not FLOLIB_VERSION ) then

FLOLIB_VERSION = 1;

-- Init an array of integers from 1 to n
function FloLib_Identity(n)

	local tmp = {};
	for i = 1, n do
		tmp[i] = i;
	end

	return tmp;
end


-- Swap 2 vals in an integer indexed array
function FloLib_Swap(tab, val1, val2)

	local idx1, idx2;
	
	for i = 1, #tab do
		if ( tab[i] == val1 ) then
			idx1 = i;
		end
		if ( tab[i] == val2 ) then
			idx2 = i;
		end
	end

	if not ( idx1 and idx2 ) then
		-- one of the value not found, do nothing
		return;
	end
	tab[idx2] = val1;
	tab[idx1] = val2;

end


-- Update the bindings
function FloLib_UpdateBindings(this, bindingPrefix)

	local key1, key2;
	local buttonPrefix = this:GetName().."Button";

	ClearOverrideBindings(this);

	for i = 1, 10 do
		key1, key2 = GetBindingKey(bindingPrefix.."BUTTON"..i);
		if ( key1 ) then
			SetOverrideBindingClick(this, true, key1, buttonPrefix..i);
		end
		if ( key2 ) then
			SetOverrideBindingClick(this, true, key2, buttonPrefix..i);
		end
	end
end

end
